%define upstream_name fcgi
%define name ruby-%{upstream_name}
%define version 0.8.8
%define release %mkrel 2

Summary:	FastCGI support library for Ruby
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://rubyforge.org/projects/fcgi/
Source0:	http://rubyforge.org/frs/download.php/69127/%{upstream_name}-%{version}.tgz
License:	GPL
Group:		Development/Ruby
Requires:	ruby 
BuildRequires: ruby-devel libfcgi-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
FastCGI is a language independent, scalable, open extension 
to CGI that provides high performance without the limitations 
of server specific APIs. 

This packages allows you to use ruby to write web applications using 
FastCGI.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
ruby setup.rb config
ruby setup.rb setup
 
%install
rm -rf %buildroot
ruby setup.rb install --prefix=%{buildroot}

%check
ruby setup.rb test

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc  README ChangeLog README.signals 
%{ruby_sitelibdir}/*


%changelog
* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.8-2mdv2011.0
+ Revision: 614739
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.8-1mdv2010.1
+ Revision: 531350
- new version

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.8.7-5mdv2010.0
+ Revision: 433499
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.8.7-4mdv2009.0
+ Revision: 260404
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 0.8.7-3mdv2009.0
+ Revision: 251642
- rebuild

* Sun Feb 10 2008 Michael Scherer <misc@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 164795
- import ruby-fcgi


